summaryrefslogtreecommitdiffstats
path: root/source/n/rp-pppoe/rp-pppoe.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/n/rp-pppoe/rp-pppoe.SlackBuild')
-rwxr-xr-xsource/n/rp-pppoe/rp-pppoe.SlackBuild7
1 files changed, 4 insertions, 3 deletions
diff --git a/source/n/rp-pppoe/rp-pppoe.SlackBuild b/source/n/rp-pppoe/rp-pppoe.SlackBuild
index 40fd4a01b..d23e97a0e 100755
--- a/source/n/rp-pppoe/rp-pppoe.SlackBuild
+++ b/source/n/rp-pppoe/rp-pppoe.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2008, 2009, 2010 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2010, 2012 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -20,7 +20,8 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-VERSION=3.10
+PKGNAM=rp-pppoe
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
@@ -53,7 +54,7 @@ rm -rf $PKG
mkdir -p $TMP $PKG
cd $TMP
rm -rf rp-pppoe-$VERSION
-tar xvf $CWD/rp-pppoe-$VERSION.tar.gz || exit 1
+tar xvf $CWD/rp-pppoe-$VERSION.tar.?z* || exit 1
cd rp-pppoe-$VERSION/src || exit 1
chown -R root:root .
find . \